/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.perspective;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;

import eu.etaxonomy.taxeditor.editor.AppModelId;

/**
 * @author a.oppermann
 * @created Nov 18, 2014
 * @version 1.0
 */
public class ChecklistPerspective extends Default {

	/*
	 * (non-Javadoc)
	 *
	 * @see
	 * org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui
	 * .IPageLayout)
	 */
	@Override
	public void createInitialLayout(IPageLayout layout) {
		IFolderLayout navigationFolder = layout.createFolder("navigation",
				IPageLayout.LEFT, 0.25f, layout.getEditorArea());

		navigationFolder.addView(NAVIGATOR);
        navigationFolder.addPlaceholder(SEARCH_RESULTS);
        navigationFolder.addPlaceholder(AppModelId.PARTDESCRIPTOR_EU_ETAXONOMY_TAXEDITOR_EDITOR_DESCRIPTIVEDATASET_DESCRIPTIVEDATASETNAVIGATOR);

        layout.addPlaceholder(NAME_EDITOR, IPageLayout.BOTTOM, 0.25f, layout.getEditorArea());

        layout.addView(DETAILS_VIEW, IPageLayout.RIGHT, 0.6f, layout.getEditorArea());
        IFolderLayout supplementalFolder = layout.createFolder(SUPPLEMENTAL_VIEW+"stack", IPageLayout.BOTTOM, 0.6f, DETAILS_VIEW);
        supplementalFolder.addView(SUPPLEMENTAL_VIEW);

        supplementalFolder.addPlaceholder(REFERENCING_VIEW);

        layout.addView(FACTUAL_DATA_VIEW, IPageLayout.BOTTOM, 0.6f, layout.getEditorArea());
        layout.addPlaceholder(MEDIA_VIEW, IPageLayout.RIGHT, 0.5f, FACTUAL_DATA_VIEW);

        createAdditionalFolder(layout, layout.getEditorArea());

	}
}
