/**
 * Copyright (C) 2013 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
package eu.etaxonomy.taxeditor.perspective;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;

import eu.etaxonomy.taxeditor.editor.AppModelId;
import eu.etaxonomy.taxeditor.navigation.search.SearchBar;

/**
 * @author pplitzner
 * @date 10.12.2013
 *
 */
public class DerivatePerspective extends Default {

    @Override
    public void createInitialLayout(IPageLayout layout) {
        IFolderLayout navigationFolder = layout.createFolder(SearchBar.NAVIGATION_STACK_ID, IPageLayout.LEFT, 0.25f, layout.getEditorArea());

        navigationFolder.addView(NAVIGATOR);
        navigationFolder.addPlaceholder(SEARCH_RESULTS);
        navigationFolder.addPlaceholder(AppModelId.PARTDESCRIPTOR_EU_ETAXONOMY_TAXEDITOR_EDITOR_DESCRIPTIVEDATASET_DESCRIPTIVEDATASETNAVIGATOR);


        layout.addView(DETAILS_VIEW, IPageLayout.RIGHT, 0.6f, layout.getEditorArea());

        layout.addView(FACTUAL_DATA_VIEW, IPageLayout.BOTTOM, 0.6f, NAVIGATOR);

    }

}
