/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.perspective;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;

import eu.etaxonomy.taxeditor.editor.AppModelId;
import eu.etaxonomy.taxeditor.navigation.search.SearchBar;

/**
 * @author n.hoffmann
 * @created Jan 17, 2011
 */
public class DescriptiveDataSetPerspective extends Default {

    @Override
	public void createInitialLayout(IPageLayout layout) {
		IFolderLayout navigationFolder = layout.createFolder(SearchBar.NAVIGATION_STACK_ID, IPageLayout.LEFT, 0.2f, layout.getEditorArea());

		navigationFolder.addView(NAVIGATOR);
		navigationFolder.addPlaceholder(SEARCH_RESULTS);
		layout.addView(AppModelId.PARTDESCRIPTOR_EU_ETAXONOMY_TAXEDITOR_EDITOR_DESCRIPTIVEDATASET_DESCRIPTIVEDATASETNAVIGATOR, IPageLayout.TOP, 0.5f, SearchBar.NAVIGATION_STACK_ID);

		layout.addPlaceholder(AppModelId.PARTDESCRIPTOR_EU_ETAXONOMY_TAXEDITOR_EDITOR_VIEW_DESCRIPTIVEDATASET_DESCRIPTIVEDATASETEDITOR, IPageLayout.BOTTOM, 0.25f, layout.getEditorArea());
		layout.addPlaceholder(AppModelId.PARTDESCRIPTOR_EU_ETAXONOMY_TAXEDITOR_EDITOR_DESCRIPTIVEDATASET_MATRIX_CHARACTERMATRIXPART, IPageLayout.BOTTOM, 0.25f, layout.getEditorArea());

		layout.addView(DETAILS_VIEW, IPageLayout.RIGHT, 0.7f, layout.getEditorArea());
		IFolderLayout supplementalFolder = layout.createFolder(SUPPLEMENTAL_VIEW+"stack", IPageLayout.BOTTOM, 0.6f, DETAILS_VIEW);
        supplementalFolder.addView(SUPPLEMENTAL_VIEW);
        supplementalFolder.addPlaceholder(CONCEPT_VIEW);
        supplementalFolder.addPlaceholder(REFERENCING_VIEW);

		createAdditionalFolder(layout, layout.getEditorArea());
	}
}
